## mupen64plus-core 1.99.4+99+7f1880795b02

=== projects/unix/Makefile ===
#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *   Mupen64plus - Makefile                                                *
# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
# *   Copyright (C) 2008-2009 Richard Goedeken                              *
# *   Copyright (C) 2007-2008 DarkJeztr Tillin9                             *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
# Makefile for Mupen64Plus Core

# detect operating system
UNAME = $(shell uname -s)
OS := NONE
ifeq ("$(UNAME)","Linux")
  OS = LINUX
endif
ifeq ("$(UNAME)","linux")
  OS = LINUX
endif
ifneq ("$(filter GNU hurd,$(UNAME))","")
  OS = LINUX
endif
ifeq ("$(UNAME)","Darwin")
  OS = OSX
endif
ifeq ("$(UNAME)","FreeBSD")
  OS = FREEBSD
endif
ifeq ("$(UNAME)","OpenBSD")
  OS = FREEBSD
  $(warning OS type "$(UNAME)" not officially supported.')
endif
ifneq ("$(filter GNU/kFreeBSD kfreebsd,$(UNAME))","")
  OS = LINUX
endif
ifeq ("$(OS)","NONE")
  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
endif

# detect system architecture
HOST_CPU ?= $(shell uname -m)
CPU := NONE
ifneq ("$(filter x86_64 amd64,$(HOST_CPU))","")
  CPU := X86
  ifeq ("$(BITS)", "32")
    ARCH_DETECTED := 64BITS_32
    PIC ?= 0
  else
    ARCH_DETECTED := 64BITS
    PIC ?= 1
  endif
endif
ifneq ("$(filter pentium i%86,$(HOST_CPU))","")
  CPU := X86
  ARCH_DETECTED := 32BITS
  PIC ?= 0
endif
ifneq ("$(filter ppc powerpc,$(HOST_CPU))","")
  CPU := PPC
  ARCH_DETECTED := 32BITS
  BIG_ENDIAN := 1
  PIC ?= 1
  NO_ASM := 1
  $(warning Architecture "$(HOST_CPU)" not officially supported.')
endif
ifneq ("$(filter ppc64 powerpc64,$(HOST_CPU))","")
  CPU := PPC
  ARCH_DETECTED := 64BITS
  BIG_ENDIAN := 1
  PIC ?= 1
  NO_ASM := 1
  $(warning Architecture "$(HOST_CPU)" not officially supported.')
endif
ifeq ("$(CPU)","NONE")
  $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
endif

# base CFLAGS, LDLIBS, and LDFLAGS
OPTFLAGS ?= -O3
CFLAGS += $(OPTFLAGS) -Wall -ffast-math -fno-strict-aliasing -fvisibility=hidden -I../../src
CXXFLAGS += -fvisibility-inlines-hidden
LDLIBS +=  -lm

# Since we are building a shared library, we must compile with -fPIC on some architectures
# On 32-bit x86 systems we do not want to use -fPIC because we don't have to and it has a big performance penalty on this arch
ifeq ($(PIC), 1)
  CFLAGS += -fPIC
  LDFLAGS += -fPIC
else
  CFLAGS += -fno-PIC
  LDFLAGS += -fno-PIC
endif

ifeq ($(BIG_ENDIAN), 1)
  CFLAGS += -DM64P_BIG_ENDIAN
endif

# tweak flags for 32-bit build on 64-bit system
ifeq ($(ARCH_DETECTED), 64BITS_32)
  ifeq ($(OS), FREEBSD)
    $(error Do not use the BITS=32 option with FreeBSD, use -m32 and -m elf_i386)
  endif
  CFLAGS += -m32
  LDFLAGS += -m32 -Wl,-m,elf_i386
endif

# set special flags per-system
ifeq ($(OS), FREEBSD)
  TARGET = libmupen64plus.so.2.0.0
  SONAME = libmupen64plus.so.2
  LDFLAGS += -Wl,-Bsymbolic -shared -Wl,-export-dynamic -Wl,-soname,$(SONAME)
  LDLIBS += -L${LOCALBASE}/lib -lc
endif
ifeq ($(OS), LINUX)
  TARGET = libmupen64plus.so.2.0.0
  SONAME = libmupen64plus.so.2
  LDFLAGS += -Wl,-Bsymbolic -shared -Wl,-export-dynamic -Wl,-soname,$(SONAME)
  LDLIBS += -ldl
  # only export api symbols
  LDFLAGS += -Wl,-version-script,$(SRCDIR)/api/api_export.ver
endif
ifeq ($(OS), OSX)
  CFLAGS += -DUSE_FILE32API
  TARGET = libmupen64plus.dylib
  LDFLAGS += -bundle -read_only_relocs suppress
  LDLIBS += -ldl -framework OpenGL
  ifeq ($(CPU), X86)
    ifeq ($(ARCH_DETECTED), 64BITS)
      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=10.5 -isysroot /Developer/SDKs/MacOSX10.5.sdk
      LDFLAGS += -arch x86_64
    else
      CFLAGS += -pipe -mmmx -msse -arch i686 -mmacosx-version-min=10.5 -isysroot /Developer/SDKs/MacOSX10.5.sdk
      LDFLAGS += -arch i686
      ifneq ($(PROFILE), 1)
        CFLAGS += -fomit-frame-pointer
      endif
    endif
  endif
endif
ifeq ($(CPU_ENDIANNESS), BIG)
  CFLAGS += -DM64P_BIG_ENDIAN
endif

# disable verbose output
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC  = @echo '    CC  '$@;
	Q_CXX = @echo '    CXX '$@;
	Q_LD  = @echo '    LD  '$@;
endif
endif

# test for essential build dependencies
ifeq ($(shell which pkg-config 2>/dev/null),)
  $(error pkg-config not found)
endif
ifeq ($(shell pkg-config --modversion libpng 2>/dev/null),)
  $(error No libpng development libraries found!)
endif
ifeq ($(shell pkg-config --modversion zlib 2>/dev/null),)
  $(error No zlib development libraries found!)
endif
ifeq ($(shell pkg-config --modversion freetype2 2>/dev/null),)
  $(error No FreeType 2 development libraries found!)
endif
ifeq ($(shell pkg-config --modversion gl 2>/dev/null),)
  $(error No OpenGL development libraries found!)
endif
ifeq ($(shell pkg-config --modversion glu 2>/dev/null),)
  $(error No OpenGL utility development libraries found!)
endif
CFLAGS += $(shell pkg-config --cflags libpng zlib freetype2 gl glu)
LDLIBS +=  $(shell pkg-config --libs libpng zlib freetype2 gl glu)

# test for presence of SDL
ifeq ($(shell which sdl-config 2>/dev/null),)
  $(error No SDL development libraries found!)
endif
CFLAGS	+= $(shell sdl-config --cflags)
LDLIBS	+= $(shell sdl-config --libs)

# set base program pointers and flags
CC       ?= gcc
CXX      ?= g++
RM       ?= rm -f
INSTALL  ?= install
MKDIR ?= mkdir -p
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
COMPILE.cc = $(Q_CXX)$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CXX) $(LDFLAGS) $(TARGET_ARCH)

ifeq ($(OS),OSX)
  LDCONFIG ?= true  # no 'ldconfig' under OSX
else
  ifeq ($(OS),LINUX)
    LDCONFIG ?= PATH="$$PATH:/sbin" ldconfig -n
  endif
  ifeq ($(OS),FREEBSD)
    LDCONFIG ?= PATH="$$PATH:/sbin" ldconfig -m
  endif
endif

# compiler/linker flags for various compile-time options.
# 1. macro for no assembly language
ifeq ($(NO_ASM), 1)
  CFLAGS += -DNO_ASM
endif
# 2. variables for profiling and adding debugging symbols
ifeq ($(PROFILE), 1)
  CFLAGS += -pg -g
  LDFLAGS += -pg
  INSTALL_STRIP_FLAG ?= 
else
  ifeq ($(DEBUG), 1)
    CFLAGS += -g
    INSTALL_STRIP_FLAG ?= 
  else
    INSTALL_STRIP_FLAG ?= -s
  endif
endif
# 3. other options given to the makefile on the command line
ifeq ($(LIRC), 1)
  CFLAGS += -DWITH_LIRC
endif
ifeq ($(DEBUGGER), 1)
  CFLAGS += -DDBG
endif
ifeq ($(DBG_COMPARE), 1)
  CFLAGS += -DCOMPARE_CORE
endif
ifeq ($(DBG_CORE), 1)
  CFLAGS += -DCORE_DBG
endif
ifeq ($(DBG_COUNT), 1)
  CFLAGS += -DCOUNT_INSTR
endif
ifeq ($(DBG_PROFILE), 1)
  CFLAGS += -DPROFILE_R4300
endif
# 4. compile-time directory paths for building into the library
ifneq ($(SHAREDIR),)
  CFLAGS += -DSHAREDIR="$(SHAREDIR)"
endif

# set installation options
ifeq ($(PREFIX),)
  PREFIX := /usr/local
endif
ifeq ($(SHAREDIR),)
  SHAREDIR := $(PREFIX)/share/mupen64plus
endif
ifeq ($(LIBDIR),)
  LIBDIR := $(PREFIX)/lib
endif
ifeq ($(INCDIR),)
  INCDIR := $(PREFIX)/include/mupen64plus
endif

SRCDIR = ../../src
OBJDIR = _obj

# list of required source files for compilation
SOURCE = \
	$(SRCDIR)/api/callbacks.c \
	$(SRCDIR)/api/common.c \
	$(SRCDIR)/api/config.c \
	$(SRCDIR)/api/debugger.c \
	$(SRCDIR)/api/frontend.c \
	$(SRCDIR)/api/vidext.c \
	$(SRCDIR)/main/main.c \
	$(SRCDIR)/main/util.c \
	$(SRCDIR)/main/cheat.c \
	$(SRCDIR)/main/eventloop.c \
	$(SRCDIR)/main/md5.c \
	$(SRCDIR)/main/rom.c \
	$(SRCDIR)/main/ini_reader.c \
	$(SRCDIR)/main/savestates.c \
	$(SRCDIR)/main/adler32.c \
	$(SRCDIR)/memory/dma.c \
	$(SRCDIR)/memory/flashram.c \
	$(SRCDIR)/memory/memory.c \
	$(SRCDIR)/memory/n64_cic_nus_6105.c \
	$(SRCDIR)/memory/pif.c \
	$(SRCDIR)/memory/tlb.c \
	$(SRCDIR)/osal/dynamiclib_unix.c \
	$(SRCDIR)/osal/files_unix.c \
	$(SRCDIR)/plugin/plugin.c \
	$(SRCDIR)/plugin/dummy_video.c \
	$(SRCDIR)/plugin/dummy_audio.c \
	$(SRCDIR)/plugin/dummy_input.c \
	$(SRCDIR)/plugin/dummy_rsp.c \
	$(SRCDIR)/r4300/r4300.c \
	$(SRCDIR)/r4300/bc.c \
	$(SRCDIR)/r4300/cop0.c \
	$(SRCDIR)/r4300/cop1.c \
	$(SRCDIR)/r4300/cop1_d.c \
	$(SRCDIR)/r4300/cop1_l.c \
	$(SRCDIR)/r4300/cop1_s.c \
	$(SRCDIR)/r4300/cop1_w.c \
	$(SRCDIR)/r4300/exception.c \
	$(SRCDIR)/r4300/interupt.c \
	$(SRCDIR)/r4300/profile.c \
	$(SRCDIR)/r4300/pure_interp.c \
	$(SRCDIR)/r4300/recomp.c \
	$(SRCDIR)/r4300/special.c \
	$(SRCDIR)/r4300/regimm.c \
	$(SRCDIR)/r4300/tlb.c \
	$(SRCDIR)/osd/OGLFT.cpp \
	$(SRCDIR)/osd/osd.cpp \
	$(SRCDIR)/osd/screenshot.cpp

# source files for optional features
ifneq ($(NO_ASM), 1)
  ifeq ($(CPU), X86)
    ifeq ($(ARCH_DETECTED), 64BITS)
      DYNAREC = x86_64
    else
      DYNAREC = x86
    endif
  endif
endif
ifneq ($(DYNAREC), )
  CFLAGS += -DDYNAREC
  SOURCE += \
    $(SRCDIR)/r4300/$(DYNAREC)/assemble.c \
    $(SRCDIR)/r4300/$(DYNAREC)/gbc.c \
    $(SRCDIR)/r4300/$(DYNAREC)/gcop0.c \
    $(SRCDIR)/r4300/$(DYNAREC)/gcop1.c \
    $(SRCDIR)/r4300/$(DYNAREC)/gcop1_d.c \
    $(SRCDIR)/r4300/$(DYNAREC)/gcop1_l.c \
    $(SRCDIR)/r4300/$(DYNAREC)/gcop1_s.c \
    $(SRCDIR)/r4300/$(DYNAREC)/gcop1_w.c \
    $(SRCDIR)/r4300/$(DYNAREC)/gr4300.c \
    $(SRCDIR)/r4300/$(DYNAREC)/gregimm.c \
    $(SRCDIR)/r4300/$(DYNAREC)/gspecial.c \
    $(SRCDIR)/r4300/$(DYNAREC)/gtlb.c \
    $(SRCDIR)/r4300/$(DYNAREC)/regcache.c \
    $(SRCDIR)/r4300/$(DYNAREC)/rjump.c
else
  SOURCE += $(SRCDIR)/r4300/empty_dynarec.c
endif

ifeq ($(LIRC), 1)
  SOURCE += $(SRCDIR)/main/lirc.c
  LDLIBS += -llirc_client
endif

ifeq ($(shell pkg-config --modversion minizip 2>/dev/null),)
  SOURCE += \
	$(SRCDIR)/main/zip/ioapi.c \
	$(SRCDIR)/main/zip/zip.c \
	$(SRCDIR)/main/zip/unzip.c
else
  CFLAGS += $(shell pkg-config --cflags minizip) -DLIBMINIZIP
  LDLIBS +=  $(shell pkg-config --libs minizip)
endif


ifeq ($(DEBUGGER), 1)
  SOURCE += \
	$(SRCDIR)/debugger/debugger.c \
	$(SRCDIR)/debugger/dbg_decoder.c \
	$(SRCDIR)/debugger/dbg_memory.c \
	$(SRCDIR)/debugger/dbg_breakpoints.c
  LDLIBS += -lopcodes -lbfd
endif

# generate a list of object files to build, make a temporary directory for them
OBJECTS := $(patsubst $(SRCDIR)/%.c,   $(OBJDIR)/%.o, $(filter %.c,   $(SOURCE)))
OBJECTS += $(patsubst $(SRCDIR)/%.cpp, $(OBJDIR)/%.o, $(filter %.cpp, $(SOURCE)))
OBJDIRS = $(dir $(OBJECTS))
$(shell $(MKDIR) $(OBJDIRS))

# build targets
targets:
	@echo "Mupen64Plus-core makefile. "
	@echo "  Targets:"
	@echo "    all           == Build Mupen64Plus core library"
	@echo "    clean         == remove object files"
	@echo "    install       == Install Mupen64Plus core library"
	@echo "    uninstall     == Uninstall Mupen64Plus core library"
	@echo "  Build Options:"
	@echo "    BITS=32       == build 32-bit binaries on 64-bit machine"
	@echo "    LIRC=1        == enable LIRC support"
	@echo "    NO_ASM=1      == build without assembly (no dynamic recompiler or MMX/SSE code)"

## mupen64plus-core 1.99.4

=== debian/changelog ===
mupen64plus-core (1.99.4-4) unstable; urgency=low

  * debian/control:
    - Add virtual package libsdl-dev as alternative build dependency
  * Don't mix implicit and explicit rules to prevent FTBFS with make
    3.82
  * debian/patches:
    - Add new_minizip.patch, Import minizip from zlib 1.2.5
    - Add savestatepath_config.patch, Read option SaveStatePath from
      config when set
    - Update rewrite_makefile.patch and dejavu-font.patch; Fix
      installation of cheat database
    - Add double_percentage.patch, Don't print '%' twice in volume
      string
    - Add ftgl_fontrendering.patch, Replace builtin OGLFT with FTGL font
      rendering library
  * Remove hardening-includes which are now integrated in dpkg-
    buildflags
  * Use debian packaging manual URL as format identifier in
    debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Mon, 31 Oct 2011 12:48:50 +0100

mupen64plus-core (1.99.4-3) unstable; urgency=low

  * Upload to unstable
  * debian/control:
    - Fix spelling of "Flexible" (Closes: #633693)
    - Depend on pkg-config for new Makefile
  * debian/rules:
    - Mark all targets as phony
    - Force PIC using Makefile option
    - Remove unintended optimization flags
    - Automatically create the libmupen64plus.so.2 symlink
  * debian/patches:
    - Remove obsolete default-optimisations.patch
    - Rebase debian/patches/dejavu-font.patch
    - Add rewrite_makefile.patch, Rewrite Makefile to fix flags and
      linking
    - Add big_endian_conflict.patch, Don't use _BIG_ENDIAN to check for
      endianness
    - Add privilege_segfault.patch, Prevent segfault when
      .local/share/mupen64plus/ owned by root
    - Add info_configuration_failure.patch, Changed warning to info
      message when core can not open config
    - Add conflicting_symbol.patch, Don't define variable isGoldeneyeRom
      in each file
    - Add osd_memory_corruption.patch, Prevent data corruption with
      caller managed OSD text
    - Add allocate_mmap.patch, Allocate exec memory using mmap
    - Add interpreter_fpu_modes.patch, Use common fpu implementation for
      interpreter modes to fix missing
      round/trunc/ceil/floor/set_rounding
    - Add interpreter_rw_memory.patch, Don't require executable memory
      for cached interpreter
    - Add n64_cic_nus_6105.patch, use X-Scale's PIF-CIC algorithm
      instead of the hard-coded challenge-response pairs
    - Add mipmapping_doc.patch, Synchronize MipMapping options in
      Arachnoid and Rice

 -- Sven Eckelmann <sven@narfation.org>  Sun, 24 Jul 2011 14:23:31 +0200

mupen64plus-core (1.99.4-2) experimental; urgency=low

  * debian/patches:
    - Add rtc.patch, Add support for n64 internal clock
    - Add n64_romswap.patch, Fix swapping of n64 images
    - Add rjump_globber.patch. Prevent over-optimization of rjump
      related data
  * Upgraded to policy 3.9.2, no changes required
  * Update Vcs-* fields to new anonscm.debian.org URLs in debian/control
  * Add multiarch support (Closes: #623765)

 -- Sven Eckelmann <sven@narfation.org>  Sat, 11 Jun 2011 17:28:34 +0200

mupen64plus-core (1.99.4-1) experimental; urgency=low

  * New Upstream Version
  * Updated my maintainer e-mail address
  * Split source package to match upstreams modular release packages
  * debian/copyright:
    - Update to DEP5 revision 164
    - Update copyright years
  * debian/patches:
    - Add printf_fixup.patch, Correct usage of printf format strings
    - Add api_header.patch, Ensure all definition for front-ends is in
      public headers
    - Rebase default-optimisations.patch and dejavu-font.patch
      against 1.99.4
    - Remove upstream merged patches: as-needed.patch,
      correct_fpr32_mapping.patch, correct_security_printf.patch,
      debian-archs.patch, destdir.patch, dont-install-unneeded.patch,
      fix-7z-subfolder.patch, fix-desktop-file.patch,
      fix_r0_override.patch, fix_readpng.patch, ftbfs-debugger.patch,
      ftbfs-dynarec.patch, ftbfs-glibc210.patch,
      ftbfs-gvariant-type-conflicts.patch, ftbfs-kfreebsd.patch,
      glide64_hurd.patch, glide64-noasm.patch, gtk-open-filter.patch,
      interpreter_x86_fldcw.patch, jttl_fix_romclosed.patch,
      link_gdk.patch, load_aidacrate.patch, load_vistatus.patch,
      noexecstack.patch, optional_signinfo.patch, osd-pause-crash.patch,
      path_max.patch, pie_support.patch, plugin-searchpath.patch,
      remove-gln64.patch, remove-nondfsg-icons.patch,
      resume_on_start.patch, rice-ati-symbols.patch,
      rice-crash-vendorstring.patch, rice_fog.patch, rice_nodebug.patch,
      rice-screenflickering.patch, rice-texturepack-crash.patch,
      rsp_hle_bigendian.patch, rsp_ucode2_reset.patch,
      static-binutils-libs.patch, system-libbz2.patch,
      system-liblzma.patch, system-libpng.patch, system-zlib.patch,
      version-string.patch, xdg-basedir.patch

 -- Sven Eckelmann <sven@narfation.org>  Sat, 22 Jan 2011 11:05:28 +0100

mupen64plus (1.5+dfsg1-14) experimental; urgency=low

  * Upgraded to policy 3.9.1, no changes required
  * Upgrade debhelper compat to v8
  * debian/rules:
    - set *FLAGS using dpkg-buildflags in debian/rules to work like
      dpkg-buildpackage when called directly
    - Use hardening-includes for CFLAGS and LDFLAGS hardened builds
    - Use externally provided LDFLAGS
    - Disable support for debugger due to missing pic/pie support of
      libopcodes.a
  * debian/patches:
    - Add correct_security_printf.patch, Correct possible printf format
      string vulnerability
    - Add pie_support.patch, Add support for PIE/PIC

 -- Sven Eckelmann <sven@narfation.org>  Thu, 23 Sep 2010 13:52:32 +0200

mupen64plus (1.5+dfsg1-13) unstable; urgency=low

  * debian/patches:
    - Add path_max.patch, Add dummy PATH_MAX on systems without it
      (Closes: #588066)
    - Add optional_signinfo.patch, Only use siginfo subsystem if system
      offers it (Closes: #588066)
    - Add glide64_hurd.patch, Define GNU/Hurd as UNIX system for glide64


=== debian/control ===
Source: mupen64plus-core
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-core.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-core.git
Build-Depends:
 binutils-dev,
 debhelper (>= 8.1.3),
 dpkg-dev (>= 1.16.0),
 libftgl-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libpng12-dev | libpng-dev,
 libsdl1.2-dev | libsdl-dev,
 pkg-config,
 zlib1g-dev | libz-dev,

Package: libmupen64plus2
Section: libs
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ttf-dejavu-core,
Breaks: mupen64plus (<< 1.99.1)
Replaces: mupen64plus (<< 1.99.1)
Provides:
 mupen64plus-audio-abi-1,
 mupen64plus-core-abi-1,
 mupen64plus-input-abi-1,
 mupen64plus-rsp-abi-1,
 mupen64plus-video-abi-1,
Description: plugin-based Nintendo 64 emulator, core library
 Flexible N64 Emulator for Linux that works with many ROMs that are publically
 available. It consists of separate components to provide an user interface,
 audio and graphics output, controller input, co-processor emulation and an
 emulator core.
 .
 It has the following features:
  * cheat system
  * exchangeable plugins for graphics, sound and input emulation
  * multiple save states
  * common configuration system for all components
 .
 This package contains the actual emulator which must be loaded by a frontend.

Package: libmupen64plus2-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 libmupen64plus2 (= ${binary:Version}),
Description: mupen64plus debug symbols package
 Flexible N64 Emulator for Linux that works with many ROMs that are publically
 available. It consists of separate components to provide an user interface,
 audio and graphics output, controller input, co-processor emulation and an
 emulator core.
 .
 This package contains the debug files.

Package: libmupen64plus-dev
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
Description: mupen64plus development package
 Flexible N64 Emulator for Linux that works with many ROMs that are publically
 available. It consists of separate components to provide an user interface,
 audio and graphics output, controller input, co-processor emulation and an
 emulator core.
 .
 This package contains everything which is needed to build plugins or frontends
 against the mupen64plus API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

LDFLAGS += -Wl,--as-needed

DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS=""

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --sourcedirectory="projects/unix" --parallel --list-missing

get-orig-source:
	uscan --verbose --force-download

override_dh_auto_build:
	dh_auto_build -- all $(MAKEOPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS)

override_dh_strip:
	dh_strip -a --dbg-package=libmupen64plus2-dbg

override_dh_installchangelogs:
	dh_installchangelogs RELEASE

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	get-orig-source override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_installchangelogs

## mupen64plus-core 1.99.4+99+7f1880795b02

=== debian/changelog ===
mupen64plus-core (1.99.4+99+7f1880795b02-2) experimental; urgency=low

  * Fix freetype initialization in debian/patches/dejavu-font.patch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 13 Nov 2011 09:42:34 +0100

mupen64plus-core (1.99.4+99+7f1880795b02-1) experimental; urgency=low

  * New upstream snapshot from revision 7f1880795b0235062a466c973d76333d258c2241
  * debian/patches:
    - Rebase dejavu-font.patch and printf_fixup.patch on top of
      1.99.4+99+7f1880795b02
    - Remove upstream merged double_percentage.patch, new_minizip.patch and
      savestatepath_config.patch
    - Remove ftgl_fontrendering.patch which was rejected by upstream
  * Remove unnecessary --as-needed from linker flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sun, 13 Nov 2011 01:46:58 +0100

mupen64plus-core (1.99.4+77+8bb0e6b3ae3a-1) experimental; urgency=low

  * New upstream snapshot from revision 8bb0e6b3ae3a4020c12e601cfddf028fbb44a6ea
  * debian/control:
    - Depend on mupen64plus-*-abi-2
  * Don't mix implicit and explicit rules to prevent FTBFS with make 3.82
  * debian/patches:
    - Remove upstream merged patches: allocate_mmap.patch, api_header.patch,
      big_endian_conflict.patch, conflicting_symbol.patch,
      info_configuration_failure.patch, interpreter_fpu_modes.patch,
      interpreter_rw_memory.patch, mipmapping_doc.patch,
      n64_cic_nus_6105.patch, n64_romswap.patch, osd_memory_corruption.patch,
      privilege_segfault.patch, rewrite_makefile.patch, rjump_globber.patch,
      rtc.patch
    - Rebase dejavu-font.patch and printf_fixup.patch against
      1.99.4+77+8bb0e6b3ae3a
  * Add new files to debian/copyright
  * Add debian/get-orig-source.sh for snapshots

 -- Sven Eckelmann <sven@narfation.org>  Mon, 29 Aug 2011 17:05:24 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  binutils-dev,
  debhelper (>= 8.1.3),
  dpkg-dev (>= 1.16.0),
- libftgl-dev,
+ libfreetype6-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
  libpng12-dev | libpng-dev,
@@ -33,11 +33,11 @@
 Breaks: mupen64plus (<< 1.99.1)
 Replaces: mupen64plus (<< 1.99.1)
 Provides:
- mupen64plus-audio-abi-1,
- mupen64plus-core-abi-1,
- mupen64plus-input-abi-1,
- mupen64plus-rsp-abi-1,
- mupen64plus-video-abi-1,
+ mupen64plus-audio-abi-2,
+ mupen64plus-core-abi-2,
+ mupen64plus-input-abi-2,
+ mupen64plus-rsp-abi-2,
+ mupen64plus-video-abi-2,
 Description: plugin-based Nintendo 64 emulator, core library
  Flexible N64 Emulator for Linux that works with many ROMs that are publically
  available. It consists of separate components to provide an user interface,

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,6 @@
 export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-LDFLAGS += -Wl,--as-needed
-
 DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS=""
@@ -18,7 +15,7 @@
 	dh $@ --sourcedirectory="projects/unix" --parallel --list-missing
 
 get-orig-source:
-	uscan --verbose --force-download
+	$(CURDIR)/debian/get-orig-source.sh
 
 override_dh_auto_build:
 	dh_auto_build -- all $(MAKEOPTIONS)

## mupen64plus-core 1.99.5

=== projects/unix/Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 endif
 ifeq ("$(UNAME)","OpenBSD")
   OS = FREEBSD
+  CFLAGS += -DUSE_FILE32API
   $(warning OS type "$(UNAME)" not officially supported.')
 endif
 ifneq ("$(filter GNU/kFreeBSD kfreebsd,$(UNAME))","")

=== debian/changelog ===
mupen64plus-core (1.99.5-6) unstable; urgency=low

  * debian/patches:
    - Add unused_bdslot.patch, Remove unused variable bdslot
    - Add printf_function_pointer.patch, Print function pointer using %p instead
      of %x
    - Add gcc_lto.patch, Enable support for link-time optimization

 -- Sven Eckelmann <sven@narfation.org>  Sat, 09 Jun 2012 00:36:43 +0200

mupen64plus-core (1.99.5-5) unstable; urgency=low

  * debian/patches:
    - Add debugger_api.patch, Move breakpoint typedef and BPT_* macros to api
      headers
    - Add disable_recompiler_disassembler.patch, Disable the disassembler of the
      recompiled code
  * Enable debugger interface of the core

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 May 2012 14:19:15 +0200

mupen64plus-core (1.99.5-4) unstable; urgency=low

  * debian/patches:
    - Add rjump_gcc47.patch, Fix name of PIC thunks with gcc 4.7
      (Closes: #672991)

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 May 2012 23:07:14 +0200

mupen64plus-core (1.99.5-3) unstable; urgency=low

  * Add mupen64plus-data binary package for the rom catalog and cheat database 
  * Install architecture independent files into /usr/share/games/mupen64plus

 -- Sven Eckelmann <sven@narfation.org>  Tue, 01 May 2012 11:04:30 +0200

mupen64plus-core (1.99.5-2) unstable; urgency=low

  [ Simon Ruderich ]
  * Let debhelper set the buildflags implicitly

  [ Sven Eckelmann ]
  * debian/patches:
    - Add floatingpoint_config.patch, Support locales with commas instead of
      periods for decimal separator
    - Add debugger_memory_breakpoints.patch, Fix off-by-one error of memory in
      memory debugger

 -- Sven Eckelmann <sven@narfation.org>  Sat, 28 Apr 2012 14:49:16 +0200

mupen64plus-core (1.99.5-1) unstable; urgency=low

  * New Upstream Version
  * Enable all hardening flags in debian/rules
  * Upgrade debhelper compat to v9
  * debian/patches:
    - Rebase dejavu-font.patch and printf_fixup.patch on top of 1.99.5
  * debian/control:
    - Update ABI versions
    - Upgraded to policy 3.9.3, no changes required
  * Update debian/copyright
  * Use buildflags.mk to set security flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Mar 2012 20:18:35 +0100

mupen64plus-core (1.99.4-5) unstable; urgency=low

  * Update copyright years in debian/copyright
  * Change dependency libpng12-dev to new name libpng-dev (Closes: #662439)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 05 Mar 2012 09:34:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Maintainer: Tobias Loose <TobiasLoose@gmx.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/mupen64plus/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-core.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-core.git
 Build-Depends:
- binutils-dev,
- debhelper (>= 8.1.3),
- dpkg-dev (>= 1.16.0),
+ debhelper (>= 9),
+ dpkg-dev (>= 1.16.1.1),
  libfreetype6-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
- libpng12-dev | libpng-dev,
+ libpng-dev,
  libsdl1.2-dev | libsdl-dev,
  pkg-config,
  zlib1g-dev | libz-dev,
@@ -29,15 +28,17 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ mupen64plus-data,
  ttf-dejavu-core,
-Breaks: mupen64plus (<< 1.99.1)
-Replaces: mupen64plus (<< 1.99.1)
 Provides:
  mupen64plus-audio-abi-2,
- mupen64plus-core-abi-2,
+ mupen64plus-config-abi-2.2,
+ mupen64plus-debug-abi-2,
+ mupen64plus-frontend-abi-2.0.1,
+ mupen64plus-gfx-abi-2.1,
  mupen64plus-input-abi-2,
  mupen64plus-rsp-abi-2,
- mupen64plus-video-abi-2,
+ mupen64plus-vidext-abi-2,
 Description: plugin-based Nintendo 64 emulator, core library
  Flexible N64 Emulator for Linux that works with many ROMs that are publically
  available. It consists of separate components to provide an user interface,
@@ -83,3 +84,28 @@
  .
  This package contains everything which is needed to build plugins or frontends
  against the mupen64plus API.
+
+Package: mupen64plus-data
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Breaks:
+ mupen64plus (<< 1.99.1),
+ libmupen64plus2 (<< 1.99.5-3),
+Replaces:
+ mupen64plus (<< 1.99.1),
+ libmupen64plus2 (<< 1.99.5-3),
+Description: plugin-based Nintendo 64 emulator, data files
+ Flexible N64 Emulator for Linux that works with many ROMs that are publically
+ available. It consists of separate components to provide an user interface,
+ audio and graphics output, controller input, co-processor emulation and an
+ emulator core.
+ .
+ It has the following features:
+  * cheat system
+  * exchangeable plugins for graphics, sound and input emulation
+  * multiple save states
+  * common configuration system for all components
+ .
+ This package contains the rom catalog and cheat database.

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
-export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
-export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
-export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS=""
+MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 DEBUGGER=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS="" SHAREDIR="/usr/share/games/mupen64plus/" LTO=1
+DBG_PACKAGE=$(shell dpkg-parsechangelog|grep '^Source: '|sed 's/^Source:\s*//')-dbg
 
 binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
 	dh $@ --sourcedirectory="projects/unix" --parallel --list-missing

=== debian/watch ===
version=3

http://bitbucket.org/richard42/mupen64plus-core/downloads/ \
	/richard42/mupen64plus-core/downloads/mupen64plus-core-src-(.*)-norom.tar.gz
